smbnetfs(1)

NAME
smbnetfs - User-space filesystem for SMB/NMB (Windows) network servers and shares

DESCRIPTION
usage: smbnetfs mountpoint [options]

  general options:

-o opt,[opt...]
    mount options

-h   --help
    print help

-V   --version
    print version

  SMBNetFS options:

-o config=PATH
    path to config (~/.smb/smbnetfs.conf)

-o smbnetfs_debug=N
    SMBNetFS debug level (N<=10)

-o smb_debug_level=N
    Samba debug level (N<=10)

-o log_file=PATH
    File to store SMBNetFS debug messages

-o local_charset=CHARSET
    Local charset (autodetected)

-o samba_charset=CHARSET
    Charset used by samba (utf-8)

-o use_libsecret=BOOL
    Enable/disable usage of libsecret as a password storage

-o libsecret_timeout=T
    auth retrieving timeout from libsecret base (500ms)

-o max_rw_block_size=N
    Maximum size of r/w block in Kb (autodetected)

-o smb_tree_scan_period=T
    Period of scanning samba network tree (300s)

-o smb_tree_elements_ttl=T
    TTL of scanned elements in samba tree (900s)

-o smb_query_browsers=BOOL
    Enable/disable scanning of samba tree (on)

-o smb_timeout=T
    Samba reply timeout (20000ms))

-o show_$_shares=BOOL
    Enable/disable showing of hidden shares (off)

-o show_hidden_hosts=BOOL
    See in documentation (off)

-o free_space_size=N
    Free space size in pages (0)

-o quiet_flag=BOOL
    Do not fail on chown/chgroup (on)

-o neg_cache=BOOL
    Enable/disable negative cache (on)

-o neg_cache_timeout=T
    Negative cache records expiration time (3000ms)

-o stat_workaround_depth=N
    konquerror and gnome terminal hack (3)

-o time_step=T
    Scheduler sleep interval (10s)

-o config_update_period=T
    Configuration update interval (300s)

-o max_ctx_count=N
    Maximum number of children processes (15)

-o max_retry_count=N
    Number of retries before fail (2)

-o listen_timeout=T
    Child process inactivity timeout (300s)

-o reply_timeout=T
    Child process reply timeout (30s)

-o max_passwd_query_count=N
    See in documentation (10)

  FUSE options:

-d   -o debug
    enable debug output (implies -f)

-f  foreground operation

-s  disable multi-threaded operation

-o allow_other
    allow access to other users

-o allow_root
    allow access to root

-o auto_unmount
    auto unmount on process termination

-o nonempty
    allow mounts over non-empty file/dir

-o default_permissions
    enable permission checking by kernel

-o fsname=NAME
    set filesystem name

-o subtype=NAME
    set filesystem type

-o large_read
    issue large read requests (2.4 only)

-o max_read=N
    set maximum size of read requests

-o hard_remove
    immediate removal (don't hide files)

-o use_ino
    let filesystem set inode numbers

-o readdir_ino
    try to fill in d_ino in readdir

-o direct_io
    use direct I/O

-o kernel_cache
    cache files in kernel

-o [no]auto_cache
    enable caching based on modification times (off)

-o umask=M
    set file permissions (octal)

-o uid=N
    set file owner

-o gid=N
    set file group

-o entry_timeout=T
    cache timeout for names (1.0s)

-o negative_timeout=T
    cache timeout for deleted names (0.0s)

-o attr_timeout=T
    cache timeout for attributes (1.0s)

-o ac_attr_timeout=T
    auto cache timeout for attributes (attr_timeout)

-o noforget
    never forget cached inodes

-o remember=T
    remember cached inodes for T seconds (0s)

-o nopath
    don't supply path if not necessary

-o intr
    allow requests to be interrupted

-o intr_signal=NUM
    signal to send on interrupt (10)

-o modules=M1[:M2...]
    names of modules to push onto filesystem stack

-o max_write=N
    set maximum size of write requests

-o max_readahead=N
    set maximum readahead

-o max_background=N
    set number of maximum background requests

-o congestion_threshold=N
    set kernel's congestion threshold

-o async_read
    perform reads asynchronously (default)

-o sync_read
    perform reads synchronously

-o atomic_o_trunc
    enable atomic open+truncate support

-o big_writes
    enable larger than 4kB writes

-o no_remote_lock
    disable remote file locking

-o no_remote_flock
    disable remote file locking (BSD)

-o no_remote_posix_lock
    disable remove file locking (POSIX)

-o [no_]splice_write
    use splice to write to the fuse device

-o [no_]splice_move
    move data while splicing to the fuse device

-o [no_]splice_read
    use splice to read from the fuse device

  Module options:

  [iconv]

-o from_code=CHARSET
    original encoding of file names (default: UTF-8)

-o to_code=CHARSET
    new encoding of the file names (default: UTF-8)

  [subdir]

-o subdir=DIR
    prepend this directory to all paths (mandatory)

-o [no]rellinks
    transform absolute symlinks to relative

FILES
Please create configuration directory ~/.smb. This directory should contain at least two files: smb.conf and smbnetfs.conf. You may copy smb.conf from the /etc/samba directory. You can find a sample of smbnetfs.conf in the /etc directory.

AUTHOR
This manual page was written by Varun Hiremath <varunhiremath@gmail.com> and lately updated by Mikhail Kshevetskiy <mikhail.kshevetskiy@gmail.com>, for the Debian project (but may be used by others).